KIO::DataProtocol Class Reference

`#include <dataprotocol.h>`

Inheritance diagram for KIO::DataProtocol:

## Public Member Functions

virtual void | mimetype (const KURL &url)
virtual void | get (const KURL &url)
Public Member Functions inherited from KIO::DataSlave
virtual void | setHost (const QString &host, int port, const QString &user, const QString &passwd)
virtual void | setConfig (const MetaData &config)
virtual void | suspend ()
virtual void | resume ()
virtual bool | suspended ()
virtual void | send (int cmd, const QByteArray &data=QByteArray())
virtual void | hold (const KURL &url)
Public Member Functions inherited from KIO::Slave
| Slave (KServerSocket *unixdomain, const QString &protocol, const QString &socketname)
void | setPID (pid_t)
int | slave_pid ()
void | kill ()
bool | isAlive ()
void | setHost (const QString &host, int port, const QString &user, const QString &passwd)
void | resetHost ()
void | setConfig (const MetaData &config)
QString | protocol ()
void | setProtocol (const QString &protocol)
QString | slaveProtocol ()
QString | host ()
int | port ()
QString | user ()
QString | passwd ()
void | suspend ()
void | resume ()
bool | suspended ()
void | send (int cmd, const QByteArray &data=QByteArray())
void | hold (const KURL &url)
time_t | idleTime ()
void | setIdle ()
bool | isConnected ()
void | setConnected (bool c)
KDE_DEPRECATED Connection * | connection ()
void | ref ()
void | deref ()
Public Member Functions inherited from KIO::SlaveInterface
| SlaveInterface (Connection *connection)
void | setConnection (Connection *connection)
Connection * | connection () const
void | setProgressId (int id)
int | progressId () const
void | sendResumeAnswer (bool resume)
void | setOffset (KIO::filesize_t offset)
KIO::filesize_t | offset () const

## Additional Inherited Members

Public Slots inherited from KIO::Slave
void | accept (KSocket *socket)
void | gotInput ()
void | timeout ()
Signals inherited from KIO::Slave
void | slaveDied (KIO::Slave *slave)
Signals inherited from KIO::SlaveInterface
void | data (const QByteArray &)
void | dataReq ()
void | error (int, const QString &)
void | connected ()
void | finished ()
void | slaveStatus (pid_t, const QCString &, const QString &, bool)
void | listEntries (const KIO::UDSEntryList &)
void | statEntry (const KIO::UDSEntry &)
void | needSubURLData ()
void | needProgressId ()
void | canResume (KIO::filesize_t)
void | metaData (const KIO::MetaData &)
void | totalSize (KIO::filesize_t)
void | processedSize (KIO::filesize_t)
void | redirection (const KURL &)
void | speed (unsigned long)
void | errorPage ()
void | mimeType (const QString &)
void | warning (const QString &)
void | infoMessage (const QString &)
void | connectFinished ()
void | authorizationKey (const QCString &, const QCString &, bool)
void | delAuthorization (const QCString &grpkey)
Static Public Member Functions inherited from KIO::Slave
static Slave * | createSlave (const QString &protocol, const KURL &url, int &error, QString &error_text)
static Slave * | holdSlave (const QString &protocol, const KURL &url)
Protected Types inherited from KIO::DataSlave
enum | QueueType { Queue_mimeType = 1, Queue_totalSize, Queue_sendMetaData, Queue_data, Queue_finished }
typedef QValueList< QueueStruct > | DispatchQueue
Protected Types inherited from KIO::Slave
enum | { VIRTUAL_SUSPEND = 0x200, VIRTUAL_RESUME, VIRTUAL_SEND, VIRTUAL_HOLD, VIRTUAL_SUSPENDED, VIRTUAL_SET_HOST, VIRTUAL_SET_CONFIG }
Protected Slots inherited from KIO::DataSlave
void | dispatchNext ()
Protected Slots inherited from KIO::SlaveInterface
void | calcSpeed ()
Protected Member Functions inherited from KIO::DataSlave
void | setAllMetaData (const MetaData &)
void | sendMetaData ()
virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KIO::Slave
| Slave (bool derived, KServerSocket *unixdomain, const QString &protocol, const QString &socketname)
void | unlinkSocket ()
Protected Member Functions inherited from KIO::SlaveInterface
virtual bool | dispatch ()
virtual bool | dispatch (int _cmd, const QByteArray &data)
void | openPassDlg (KIO::AuthInfo &info)
void | openPassDlg (const QString &prompt, const QString &user, const QString &caption, const QString &comment, const QString &label, bool readOnly) KDE_DEPRECATED
void | openPassDlg (const QString &prompt, const QString &user, bool readOnly) KDE_DEPRECATED
void | messageBox (int type, const QString &text, const QString &caption, const QString &buttonYes, const QString &buttonNo)
void | messageBox (int type, const QString &text, const QString &caption, const QString &buttonYes, const QString &buttonNo, const QString &dontAskAgainName)
void | requestNetwork (const QString &, const QString &)
void | dropNetwork (const QString &, const QString &)
Static Protected Member Functions inherited from KIO::SlaveInterface
static void | sigpipe_handler (int)
Protected Attributes inherited from KIO::DataSlave
DispatchQueue | dispatchQueue
Protected Attributes inherited from KIO::SlaveInterface
Connection * | m_pConnection

## Detailed Description

This kioslave provides support of data urls as specified by rfc 2397.

See also
  http://www.ietf.org/rfc/rfc2397.txt

Author
  Leo Savernik

Definition at line 51 of file dataprotocol.h.

The documentation for this class was generated from the following files:

- dataprotocol.h
- dataprotocol.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys